Subject: Re: bug#1298: allow 'emacsclient -a "emacs --daemon && emacsclient -c"'

From: Dan Nicolaescu <[email-masked]>
Date: Tue, 18 Nov 2008 14:19:57 -0800 (PST)

Stefan Monnier <[email-masked]> writes:

  > >> >> It would be nice if some equivalent of: 
  > >> >> 'emacsclient -a "emacs --daemon && emacsclient -c"
  > >> >> would work.
  > >> >> That would allow one to ALWAYS use emacsclient. 
  > >> 
  > >> > Here's a quick hack that allows:
  > >> > emacsclient -a "emacs --daemon && emacsclient -c" FILENAME
  > >> > to work.  It is not complete yet, FILENAME does not get passed to the
  > >> > "&& emacsclient"
  > >> 
  > >> Here's an alternative:
  > >> 
  > >> [ "$(emacsclient -e "'up" 2>/dev/null)" = "up" ] || emacs --daemon
  > >> emacsclient -c FILENAME
  > 
  > > I've been using something similar for a long time (even before
  > > --daemon), but it seems that it's more elegant to use a single command
  > > that shell hackery...
  > 
  > I think both are hacks, where my hack has the advantage of requiring no
  > changes to the code.  If you want to change the code, than I'd rather we
  > do it Right.

Well, now please don't tease, say what you mean by "do it Right"...